better readme

This commit is contained in:
xananax prozaxx 2023-04-23 12:51:41 +02:00
parent 126df5317f
commit 7b6b3feb56
8 changed files with 152 additions and 2 deletions

7
.gitignore vendored
View File

@ -4,7 +4,12 @@
.import/
export.cfg
exports/
exports/*.apk
exports/*.exe
exports/*.pck
exports/*.x86_64
exports/*.zip
exports/web/
# Exclude imported translations
*.translation

View File

@ -1,12 +1,15 @@
# Rat Times
# ![Logo representing a rat's butt](assets/logo.png) Rat Times
Track your time, save it to a CSV file.
Uses Godot 3.5
![screenshot of the app in usage](exports/screenshot.png)
## Features
- Saves to custom CSV file. Sync this file with syncthing/nextcloud/dropbox/whatever you like
- File watcher. Change the CSV externally, see the update in the UI
- Versions for Linux, Windows, Android, and presumably IOS and Mac (untested)
- Custom theming possible
- Does not depend on a timer, so you can close the app immediately after starting a task

BIN
assets/rcedit-x64.exe Normal file

Binary file not shown.

0
exports/.gdignore Normal file
View File

47
exports/install-linux.sh Executable file
View File

@ -0,0 +1,47 @@
#!/usr/bin/env bash
usage(){
echo "Copies the rat-times binary, data, and icon to the specified directory,"
echo "then copies the desktop file to ~/.local/share/applications, while"
echo "setting the correct path"
echo ""
echo "Example Usage: install-linux.sh ~/Applications"
}
if [ $# -eq 0 ]; then
>&2 echo "No arguments provided, please provide a valid path for installation"
usage
exit 1
fi
if [ $1 = "--help" ]; then
usage
exit 0
fi
if [ $1 = "-h" ]; then
usage
exit 0
fi
dir_resolve(){
cd "$1" 2>/dev/null || return $? # cd to desired directory; if fail, quell any error messages but return exit status
echo "`pwd -P`" # output full, link-resolved path
}
if APP_PATH="`dir_resolve \"$1\"`"; then
SHORTCUT_PATH="$HOME/.local/share/applications/rat-times.desktop"
mkdir -p $APP_PATH
cp rat-times.x86_64 rat-times.pck rat-times.svg $APP_PATH
sed "s@REPLACE_WITH_PATH@$APP_PATH@g" rat-times.desktop > $SHORTCUT_PATH
echo "Rat Times is installed. To remove, please delete:"
echo "$APP_PATH/rat-times.x86_64"
echo "$APP_PATH/rat-times.pck"
echo "$APP_PATH/rat-times.svg"
echo "$SHORTCUT_PATH"
else
echo "Could not reach $1"
fi

View File

@ -0,0 +1,8 @@
[Desktop Entry]
Name=Rat Times
Comment=Track your time
Exec=REPLACE_WITH_PATH/rat-times.x86_64
Icon=REPLACE_WITH_PATH/rat-times.svg
Terminal=false
Type=Application
Categories=Game;

87
exports/rat-times.svg Normal file
View File

@ -0,0 +1,87 @@
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Created with Inkscape (http://www.inkscape.org/) -->
<svg
width="64"
height="64"
viewBox="0 0 16.933333 16.933333"
version="1.1"
id="svg13794"
inkscape:version="1.2.2 (b0a8486541, 2022-12-01)"
sodipodi:docname="logo.svg"
xmlns:inkscape="http://www.inkscape.org/namespaces/inkscape"
xmlns:sodipodi="http://sodipodi.sourceforge.net/DTD/sodipodi-0.dtd"
xmlns="http://www.w3.org/2000/svg"
xmlns:svg="http://www.w3.org/2000/svg">
<sodipodi:namedview
id="namedview13796"
pagecolor="#ffffff"
bordercolor="#111111"
borderopacity="1"
inkscape:showpageshadow="0"
inkscape:pageopacity="0"
inkscape:pagecheckerboard="1"
inkscape:deskcolor="#d1d1d1"
inkscape:document-units="mm"
showgrid="false"
inkscape:zoom="6.2502245"
inkscape:cx="22.479193"
inkscape:cy="24.159132"
inkscape:window-width="1896"
inkscape:window-height="1029"
inkscape:window-x="12"
inkscape:window-y="39"
inkscape:window-maximized="1"
inkscape:current-layer="layer1" />
<defs
id="defs13791" />
<g
inkscape:label="Layer 1"
inkscape:groupmode="layer"
id="layer1">
<ellipse
style="fill:#1d86ff;fill-opacity:1;stroke-width:1.85208;paint-order:stroke markers fill;stop-color:#000000"
id="circle14391"
cx="4.0016642"
cy="4.8131599"
rx="2.9889076"
ry="2.9889104" />
<path
style="fill:#d588ff;fill-opacity:1;stroke:none;stroke-width:0.264583px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
d="m 10.040695,15.90349 6.892697,-1.588035 -1.494564,-0.466127 1.045969,-0.83042 -1.837551,0.445927 v -0.84077 z"
id="path14447" />
<path
style="fill:#d588ff;fill-opacity:1;stroke:none;stroke-width:0.264583px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1"
d="M 6.8926369,16.389379 -5.9950227e-5,14.801343 1.4945043,14.335217 0.44853556,13.504797 2.2860868,13.950724 v -0.84077 z"
id="path14449" />
<ellipse
style="fill:#1d86ff;fill-opacity:1;stroke-width:1.85208;paint-order:stroke markers fill;stop-color:#000000"
id="path13969"
cx="8.1552019"
cy="9.9386654"
rx="6.4920444"
ry="6.4920506" />
<path
sodipodi:type="spiral"
style="fill:none;fill-opacity:1;fill-rule:evenodd;stroke:#4200cb;stroke-width:0.230262;stroke-linecap:round;stroke-dasharray:none;stroke-opacity:1"
id="path14024"
sodipodi:cx="8.4666662"
sodipodi:cy="8.4666662"
sodipodi:expansion="2"
sodipodi:revolution="1.5184656"
sodipodi:radius="2.3796637"
sodipodi:argument="-19.12742"
sodipodi:t0="0"
d="m 8.4666662,8.4666662 c 0.027537,-0.00785 0.021565,0.052556 0.017694,0.06203 -0.044361,0.108565 -0.2002796,0.066923 -0.2658124,0.00874 C 8.0210701,8.3621249 8.1306116,8.0511576 8.307424,7.9083989 8.6808232,7.6069157 9.2185608,7.8211538 9.4591415,8.1835689 9.8827565,8.8217104 9.5243913,9.6591442 8.9090057,10.017409 7.9391013,10.582067 6.7291388,10.039501 6.2335968,9.1036351 6.1901155,9.0215177 6.1515675,8.9367957 6.1180994,8.8501155"
transform="matrix(-3.9529526,2.2775757,-2.3165148,-4.0094692,60.938259,26.017524)"
inkscape:transform-center-x="-0.51754845"
inkscape:transform-center-y="-2.4484256" />
<ellipse
style="fill:#1d86ff;fill-opacity:1;stroke-width:1.85208;paint-order:stroke markers fill;stop-color:#000000"
id="circle14389"
cx="11.931787"
cy="4.8131599"
rx="2.9889076"
ry="2.9889104" />
</g>
</svg>

After

Width:  |  Height:  |  Size: 3.6 KiB

BIN
exports/screenshot.png Normal file

Binary file not shown.

After

Width:  |  Height:  |  Size: 48 KiB